Bug 842065 - SELinux is preventing /usr/libexec/postfix/cleanup from (getattr|getopt) access on the tcp_socket
SELinux is preventing /usr/libexec/postfix/cleanup from (getattr|getopt) acce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 11:20 EDT by Anthony Messina
Modified: 2012-08-01 14:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:22:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2012-07-21 11:20:59 EDT
When using OpenDKIM with Postfix and a socket of localhost:8891, I receive the following AVCs:

type=AVC msg=audit(1342882917.293:12089): avc:  denied  { getattr } for  pid=31420 comm="cleanup" laddr=127.0.0.1 lport=34042 faddr=127.0.0.1 fport=8891 scontext=system_u:system_r:postfix_cleanup_t:s0 tcontext=system_u:system_r:postfix_smtpd_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1342882917.293:12089): arch=x86_64 syscall=getsockname success=yes exit=0 a0=10 a1=7fff5f7626d0 a2=7fff5f7626cc a3=0 items=0 ppid=31413 pid=31420 auid=4294967295 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89 tty=(none) ses=4294967295 comm=cleanup exe=/usr/libexec/postfix/cleanup subj=system_u:system_r:postfix_cleanup_t:s0 key=(null)

----

type=AVC msg=audit(1342882917.293:12090): avc:  denied  { getopt } for  pid=31420 comm="cleanup" laddr=127.0.0.1 lport=34042 faddr=127.0.0.1 fport=8891 scontext=system_u:system_r:postfix_cleanup_t:s0 tcontext=system_u:system_r:postfix_smtpd_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1342882917.293:12090): arch=x86_64 syscall=getsockopt success=yes exit=0 a0=10 a1=6 a2=2 a3=7fff5f762698 items=0 ppid=31413 pid=31420 auid=4294967295 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89 tty=(none) ses=4294967295 comm=cleanup exe=/usr/libexec/postfix/cleanup subj=system_u:system_r:postfix_cleanup_t:s0 key=(null)
Comment 1 Daniel Walsh 2012-07-23 11:05:23 EDT
Are you seeing any breakage or is this just a leak, any reason for cleanup to use this tcp socket.
Comment 2 Anthony Messina 2012-07-23 11:54:41 EDT
I am in permissive mode with this one so it works.  I'm trying to use OpenDKIM which is running on 127.0.0.1:8891 as a milter, which is performed via Postfix's cleanup command -- man (8) cleanup.
Comment 3 Daniel Walsh 2012-07-23 11:57:51 EDT
Ok I allowed it in Rawhide.
Comment 4 Miroslav Grepl 2012-07-24 07:04:43 EDT
Added to F17.
Comment 5 Fedora Update System 2012-07-27 11:35:09 EDT
selinux-policy-3.10.0-142.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-142.fc17
Comment 6 Fedora Update System 2012-07-27 21:24:53 EDT
Package selinux-policy-3.10.0-142.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-142.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11215/selinux-policy-3.10.0-142.fc17
then log in and leave karma (feedback).
Comment 7 Anthony Messina 2012-07-30 17:24:47 EDT
selinux-policy-3.10.0-142.fc17 fixes this issue.
Comment 8 Daniel Walsh 2012-07-31 11:21:14 EDT
Please update karma.
Comment 9 Anthony Messina 2012-07-31 17:30:09 EDT
I did, just before leaving the feedback here ;)

Bodhi: amessina - 2012-07-30 21:23:24
Comment 10 Miroslav Grepl 2012-08-01 04:02:19 EDT
Thank you.
Comment 11 Fedora Update System 2012-08-01 14:22:26 EDT
selinux-policy-3.10.0-142.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.